Arch Sagoma di pannello

From FreeCAD Documentation
Revision as of 19:24, 1 September 2021 by Heda (talk | contribs)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to navigation Jump to search
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎русский
Arrow-left.svg Pagina precedente: Arch Panel.svg Pannello
Pagina successiva: Foglio pannello Arch Panel Sheet.svg Arrow-right.svg

Arch Panel Cut.svg Arch Panel Cut

Posizione nel menu
Arch → Strumenti pannello → Sagoma pannello
Ambiente
Arch
Avvio veloce
P C
Introdotto nella versione
-
Vedere anche
Pannello, Foglio pannello, Nido, Ambiente Path

Descrizione

Questo strumento crea, nel documento 3D, una vista piana, 2D di un pannello, da inserire in un Foglio pannello o da esportare direttamente in DXF. Gli oggetti Sagoma pannello sono anche supportati dall'ambiente Path.

Arch Wikihouse 02.jpg

Uso

  1. Selezionare uno o più oggetti Pannello
  2. Premere il pulsante Arch Panel Cut.svg Sagoma pannello, o premere i tasti P e poi C
  3. Regolare le proprietà desiderate

Opzioni

  • Se il pannello non è piatto, ma, per esempio è ondulato il rilievo non appare nella Sagoma del pannello. Questo strumento è utile soprattutto per i pannelli piatti
  • Sagoma del pannello può visualizzare un tag. Questo tag può essere una linea di testo personalizzata o può mostrare automaticamente il tag, l'etichetta o la descrizione del pannello a cui è collegato.
  • Per essere utilizzato nelle lavorazioni CNC, il tag deve essere scritto con un font "appiccicoso", in cui le lettere sono semplici polilinee che la macchina possa seguire facilmente. Alla creazione, l'oggetto Sagoma del pannello utilizza automaticamente il carattere specificato in Modifica → Preferenze → Draft → Testi e Dimensioni → Font ShapeString
  • Facendo doppio click su Sagoma del pannello nella vista ad albero dopo che essa è stata creata permette di entrare nella modalità di modifica e modificare la posizione del tag
  • Quando è necessario posizionare insieme diverse sagome di pannelli, Sagoma pannello può visualizzare un margine, che è utile per assicurare che tra di loro sia sempre presente un certo spazio

Proprietà

Dati

  • DatiSource: L'oggetto Pannello mostrato da questa sagoma
  • DatiTag Text: Il testo da visualizzare. Può essere %tag%, %label% or %description% per visualizzare il tag del pannello o l'etichetta
  • DatiTag Size: La dimensione del testo tag
  • DatiTag Position: La posizione del testo tag. Tenere (0,0,0) per la posizionarlo automaticamente nel centro
  • DatiTag Rotation: La rotazione del testo tag
  • DatiFont File: Il carattere del testo tag
  • DatiMake Face: Se è True, il pannello è una Part Face, altrimenti è una Part Wire

Vista

  • VistaMargin: Un margine che può essere visualizzato all'esterno della sagoma del pannello
  • VistaShow Margin: Attiva o disattiva la visualizzazione del margine

Lo strumento Sagoma pannello può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

View = makePanelCut(panel, name="PanelView")
  • Crea un oggetto View (proiezione 2D) dal panel esistente.

Esempio:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(500, 0, 0)
p3 = FreeCAD.Vector(500, 50, 0)
p4 = FreeCAD.Vector(550, 50, 0)
p5 = FreeCAD.Vector(600, 0, 0)
p6 = FreeCAD.Vector(1000, 0, 0)
p7 = FreeCAD.Vector(1000, 400, 0)
p8 = FreeCAD.Vector(600, 400, 0)
p9 = FreeCAD.Vector(600, 350, 0)
p10 = FreeCAD.Vector(550, 350, 0)
p11 = FreeCAD.Vector(500, 400, 0)
p12 = FreeCAD.Vector(0, 400, 0)

Wire = Draft.makeWire([p1, p2, p3, p4, p5, p6,
                       p7, p8, p8, p9, p10, p11, p12], closed=True)
Panel = Arch.makePanel(Wire, thickness=36)
FreeCAD.ActiveDocument.recompute()

View = Arch.makePanelCut(Panel)
View.ViewObject.LineWidth = 3
FreeCAD.ActiveDocument.recompute()

Tutorial


Arrow-left.svg Pagina precedente: Arch Panel.svg Pannello
Pagina successiva: Foglio pannello Arch Panel Sheet.svg Arrow-right.svg